/**
* Theme Name:     Child Theme
* Template:       hello-elementor
* Version:        1.0.0
**/


h1,
h2,
h3,
h4,
h5,
h6 {
    margin-top: 0;
    margin-bottom: 8px;
}

p {
    margin-top: 0;
}

p:last-child {
    margin-bottom: 0;
}

.text-sm {
    font-size: 14px;
    line-height: normal;
}

::-webkit-scrollbar {
    width: 6px;
}

::-webkit-scrollbar-thumb,
::-webkit-scrollbar-thumb:hover {
    background-color: #ddd;
}

::-webkit-scrollbar-thumb {
    border-radius: 5px;
}

::-webkit-scrollbar-track {
    background: transparent;
}

input[type=date],
input[type=email],
input[type=number],
input[type=password],
input[type=search],
input[type=tel],
input[type=text],
input[type=url],
select,
textarea {
    transition: none;
}

img {
    width: auto;
}

input:focus {
    outline: none;
}

/* Buttons */
.btn {
    padding: 14px 32px;
    border: 1px solid;
    font-size: 18px;
    font-weight: 500;
    border-radius: 30px;
    line-height: normal;
    align-items: center;
    display: inline-flex;
    gap: 4px;
    position: relative;
    overflow: hidden;
    white-space: nowrap;
    z-index: 1;
    transition: all 0.3s;
}

.btn:before {
    content: "";
    position: absolute;
    bottom: 0;
    left: -100%;
    width: 100%;
    height: 100%;
    border-radius: 40px;
    transition: all 0.3s;
    z-index: -1;
}

.btn:hover:before {
    left: 0;
}

.btn-icon {
    display: flex;
}

.btn-icon-after {
    order: -1;
}

a.btn.btn-style-1 {
    color: #121212;
}

a.btn.btn-style-2 {
    color: #ffffff;
}

a.btn.btn-style-3 {
    color: #121212;
}

a.btn.btn-style-4 {
    color: #ffffff;
}

.btn.btn-style-1:before,
.btn.btn-style-4:before {
    background-color: #ffffff;
}

.btn:before,
.btn.btn-style-2:before,
.btn.btn-style-3:before {
    background-color: #121212;
}

a.btn.btn-style-1:hover,
a.btn.btn-style-4:hover {
    color: #121212;
}

.btn:hover,
a.btn.btn-style-2:hover,
a.btn.btn-style-3:hover {
    color: #ffffff;
}

.btn.btn-arrow {
    padding-right: 16px;
    padding-left: 24px;
}

.btn-arrow:after {
    content: '';
    width: 24px;
    height: 24px;
    display: inline-block;
    background-color: currentColor;
    -webkit-mask: url("assets/img/btn-arrow.svg") no-repeat center;
    -webkit-mask-size: contain;
    mask: url("assets/img/btn-arrow.svg") no-repeat center;
    mask-size: contain;
}

a.btn.btn-small {
    padding: 8px 16px;
    font-size: 14px;
}

/* Woocomerce checkoout style adjustments */
.wp-block-woocommerce-checkout {
    padding: 0 !important;
}

/* Custom Elementor Style */
.elementor-icon-wrapper {
    display: flex;
}

/* Custom Select Dropdown */
.select-caret-down-wrapper svg {
    display: none !important;
}



/* Form field */
.elementor-upload-field {
    padding: .5rem 1rem;
}

.elementor-acceptance-field {
    vertical-align: middle;
}


/* Select caret */

.select-caret-down-wrapper {
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;
    height: 24px;
    width: 24px;
    background: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='24' height='24' viewBox='0 0 24 24' fill='none'%3E%3Cpath d='M6 9L11.2929 14.2929C11.6834 14.6834 12.3166 14.6834 12.7071 14.2929L18 9' stroke='%23121212' stroke-width='2' stroke-linecap='round' stroke-linejoin='round'/%3E%3C/svg%3E") no-repeat center;
    cursor: pointer;
}

.elementor-field::placeholder {
    opacity: 1 !important;
}

.elementor-widget-text-editor h3:not(:first-child),
.elementor-widget-text-editor h4:not(:first-child),
.elementor-widget-text-editor h5:not(:first-child) {
  margin-top: 24px;
}

/* Blog post content */
.elementor-widget-theme-post-content section + section {
    margin-top: 24px;
}

.elementor-widget-theme-post-content ol {
  counter-reset: item;
  list-style: none;
  padding-left: 0;

}

.elementor-widget-theme-post-content  li {
    padding-top: 8px;
    padding-bottom: 8px;
}

.elementor-widget-theme-post-content ol li {
  counter-increment: item;
  padding: 8px 0 8px 40px;
  position: relative;
}

.elementor-widget-theme-post-content li h5 {
    margin-top: 0;
}

.elementor-widget-theme-post-content ol li::before {
  content: counter(item);
  position: absolute;
  left: 0;
  background-color: var(--e-global-color-primary);
  color: #fff;
  width: 24px;
  height: 24px;
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  font-weight: 600;
  font-family: sans-serif;
}
.elementor-widget-theme-post-content h5 {
    margin-top: 24px;
}